# Pactly Public API v2 (in development) V2 is in development. It starts with the same endpoints and behavior as v1. More endpoints and changes to requests and responses are coming before v2 is declared stable. Use v1 for integrations that require a frozen contract. The same API keys work with both versions; select the version in the URL. > Programmatic access to contract lifecycle management: create, retrieve, and manage contracts, templates, and documents. Base URL: https://clientapi.pactly.ai ## Authentication All requests require an `x-api-key` header with a valid API key. ## Contracts - [GET /v2/contract-statuses](https://api-docs.pactly.com/v2/llms-full.txt#contracts): List account contract status labels - [GET /v2/contracts](https://api-docs.pactly.com/v2/llms-full.txt#contracts): List contracts - [POST /v2/contracts/search](https://api-docs.pactly.com/v2/llms-full.txt#contracts): Search text within selected accessible contracts - [POST /v2/contracts/generate](https://api-docs.pactly.com/v2/llms-full.txt#contracts): Generate contract - [GET /v2/contracts/{id}](https://api-docs.pactly.com/v2/llms-full.txt#contracts): Get contract details - [PUT /v2/contracts/{id}/properties](https://api-docs.pactly.com/v2/llms-full.txt#contracts): Update contract property values - [PUT /v2/contracts/{id}/status](https://api-docs.pactly.com/v2/llms-full.txt#contracts): Change contract status - [GET /v2/contracts/{id}/text](https://api-docs.pactly.com/v2/llms-full.txt#contracts): Extract contract text - [GET /v2/contracts/{id}/download](https://api-docs.pactly.com/v2/llms-full.txt#contracts): Download contract ## Parties - [GET /v2/parties](https://api-docs.pactly.com/v2/llms-full.txt#parties): List parties - [GET /v2/party-attributes](https://api-docs.pactly.com/v2/llms-full.txt#parties): List party attributes - [GET /v2/parties/{id}](https://api-docs.pactly.com/v2/llms-full.txt#parties): Get party ## Templates - [GET /v2/templates](https://api-docs.pactly.com/v2/llms-full.txt#templates): List all templates - [GET /v2/templates/{id}](https://api-docs.pactly.com/v2/llms-full.txt#templates): Get template details ## Playbooks - [GET /v2/playbooks](https://api-docs.pactly.com/v2/llms-full.txt#playbooks): List playbooks - [GET /v2/playbooks/{id}](https://api-docs.pactly.com/v2/llms-full.txt#playbooks): Get playbook - [POST /v2/playbooks/{id}/match](https://api-docs.pactly.com/v2/llms-full.txt#playbooks): Match a document against a playbook ## Clauses - [GET /v2/clauses](https://api-docs.pactly.com/v2/llms-full.txt#clauses): List clauses ## Properties - [GET /v2/properties](https://api-docs.pactly.com/v2/llms-full.txt#properties): List property definitions - [GET /v2/properties/{idOrKey}](https://api-docs.pactly.com/v2/llms-full.txt#properties): Get property definition ## Categories - [GET /v2/categories](https://api-docs.pactly.com/v2/llms-full.txt#categories): List categories ## Emails - [GET /v2/emails](https://api-docs.pactly.com/v2/llms-full.txt#emails): List contract emails ## General - [GET /v2/test](https://api-docs.pactly.com/v2/llms-full.txt#general): Test endpoint ## Optional - [Full API Reference](https://api-docs.pactly.com/v2/llms-full.txt): Complete endpoint details, schemas, and examples - [Interactive API Docs](https://api-docs.pactly.com/v2/api-reference.html): HTML API reference with try-it-out